## org.eclipse.m2m.atl.engine.vm
Class ASMField

    java.lang.Object
      org.eclipse.m2m.atl.engine.vm.ASMField

    public class ASMField

extends java.lang.Object

Constructor Summary
`ASMField(java.lang.String name, java.lang.String type)`

Method Summary
`java.lang.String` `getName()`
`java.lang.String` `getType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASMField

    public ASMField(java.lang.String name,
                    java.lang.String type)

Method Detail

### getName

    public java.lang.String getName()

### getType

    public java.lang.String getType()

Copyright 2007 IBM Corporation and others. All Rights Reserved.